当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 编译出错(libgdiplus-2.4),如何解决?
帖子发表于 : 2009-06-29 10:58 
头像

注册: 2007-01-24 20:20
帖子: 27
地址: 山西省
送出感谢: 0 次
接收感谢: 0 次
代码:
checking if compiler recognizes -pthread... yes
checking for sigsetjmp... yes
checking for visibility __attribute__... yes
checking for TIFFReadScanline in -ltiff... yes
checking tiffio.h usability... yes
checking tiffio.h presence... yes
checking for tiffio.h... yes
checking for jpeg_destroy_decompress in -ljpeg... yes
checking for jpeglib.h... yes
checking for DGifOpenFileName in -lgif... no
configure: WARNING: *** GIF loader will not be built (giflibrary not found) ***
checking for DGifOpenFileName in -lungif... no
configure: WARNING: *** GIF loader will not be built (ungiflibrary not found) ***
checking for libpng12... yes
checking for LIBEXIF... no
./configure: line 23229: test: too many arguments
configure: error: "Failed to compile with X11/Xlib.h include.  You must fix your compiler paths"


找了半天也没有找到giflibrary相关的文件,高手指点一下!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 编译出错(libgdiplus-2.4),如何解决?
帖子发表于 : 2009-06-29 12:17 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
libgif-dev,找找?


_________________
HUNT Unfortunately No Talent...


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 编译出错(libgdiplus-2.4),如何解决?
帖子发表于 : 2009-06-29 14:29 
头像

注册: 2007-01-24 20:20
帖子: 27
地址: 山西省
送出感谢: 0 次
接收感谢: 0 次
谢谢!搞定了


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 编译出错(libgdiplus-2.4),如何解决?
帖子发表于 : 2009-06-30 9:37 
头像

注册: 2007-01-24 20:20
帖子: 27
地址: 山西省
送出感谢: 0 次
接收感谢: 0 次
在libgdiplus configure的时候有一个经典错误:
代码:
configure: error: "Failed to compile with X11/Xlib.h include. You must fix your compiler paths"

解决办法(注意不要在/路径操作):
代码:
   1. cd /data/soft/mono
   2. wget http://ftp.ntu.edu.tw/cygwin/release/X11/xorg-x11-devel/xorg-x11-devel-6.8.99.901-1.tar.bz2
   3. tar -zxvf xorg-x11-devel-6.8.99.901-1.tar.bz2
   4. cp -r etc/* /etc
   5. cp -r usr/* /usr
   6. rm -r etc               #不删也好,别把/etc删了
   7. rm -r usr               #不删也好,别把/usr删了
   8. cd /etc/postinstall
   9. ./xorg-x11-devel.sh


按此方法出现如下错误:
代码:
cp: 无法以非目录来覆盖目录 “/usr/include/X11”
cp: 无法以目录 “usr/X11R6/bin” 来覆盖非目录 “/usr/X11R6/bin”

不知如何解决???


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 编译出错(libgdiplus-2.4),如何解决?
帖子发表于 : 2009-10-16 14:54 

注册: 2009-10-16 14:53
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
我解决了,sudo apt-get install xorg-dev


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译